Bug 471030 - Eclipse Help System - API Reference in the Platform Plugin Developer Guide is bust
Eclipse Help System - API Reference in the Platform Plugin Developer Guide is...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-11 08:38 EST by Mat Booth
Modified: 2009-07-14 10:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:31:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Eclipse Help Breakage (214.40 KB, image/png)
2008-11-11 08:42 EST, Mat Booth
no flags Details

  None (edit)
Description Mat Booth 2008-11-11 08:38:08 EST
Description of problem:

In the Eclipse help, the API reference in the platform plugin developer guide doesn't work. All that is displayed is an exception.

Version-Release number of selected component (if applicable):

[mbooth@sd trac-patches]$ yum list installed | grep eclipse
eclipse-cdt.x86_64                       1:4.0.3-1.fc9          installed
eclipse-changelog.x86_64                 1:2.6.2-1.fc9          installed
eclipse-cvs-client.x86_64                1:3.3.2-12.fc9         installed
eclipse-ecj.x86_64                       1:3.3.2-12.fc9         installed
eclipse-epic.x86_64                      0.6.25-1.fc9           installed
eclipse-jdt.x86_64                       1:3.3.2-12.fc9         installed
eclipse-pde.x86_64                       1:3.3.2-12.fc9         installed
eclipse-pde-runtime.x86_64               1:3.3.2-12.fc9         installed
eclipse-platform.x86_64                  1:3.3.2-12.fc9         installed
eclipse-pydev.x86_64                     1:1.3.20-1.fc9         installed
eclipse-rcp.x86_64                       1:3.3.2-12.fc9         installed
eclipse-rpm-editor.x86_64                0.4.0-1.fc9            installed
eclipse-subclipse.x86_64                 1.2.4-11.fc9           installed
icu4j-eclipse.x86_64                     3.6.1-2jpp.6.fc9       installed
tomcat5-jasper-eclipse.x86_64            5.5.27-0jpp.2.fc9      installed

How reproducible:

Very.

Steps to Reproduce:

1. Open the Eclipse help. (Help-->Contents)
2. Navigate to the API reference in the Platform Plugin Developer Guide book.
3. Pick any API and click on it.
  
Actual results:

The exception that is displayed in the help system is shown below. See also the attached screenshot.

org.xml.sax.SAXParseException: The element type "br" must be terminated by the matching end-tag "</br>".
	at com.sun.org.apache.xerces.internal.parsers.DOMParser.parse(Unknown Source)
	at com.sun.org.apache.xerces.internal.jaxp.DocumentBuilderImpl.parse(Unknown Source)
	at org.eclipse.help.internal.dynamic.DocumentReader.read(DocumentReader.java:56)
	at org.eclipse.help.internal.dynamic.XMLProcessor.process(XMLProcessor.java:49)
	at org.eclipse.help.internal.xhtml.DynamicXHTMLProcessor.process(DynamicXHTMLProcessor.java:66)
	at org.eclipse.help.internal.webapp.servlet.DynamicXHTMLFilter$1.close(DynamicXHTMLFilter.java:79)
	at java.io.FilterOutputStream.close(FilterOutputStream.java:160)
	at org.eclipse.help.internal.webapp.servlet.FilterHTMLHeadAndBodyOutputStream.close(FilterHTMLHeadAndBodyOutputStream.java:311)
	at org.eclipse.help.internal.webapp.servlet.EclipseConnector.transfer(EclipseConnector.java:162)
	at org.eclipse.help.internal.webapp.servlet.ContentServlet.doGet(ContentServlet.java:42)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:627)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:729)
	at org.eclipse.equinox.http.registry.internal.ServletManager$ServletWrapper.service(ServletManager.java:180)
	at org.eclipse.equinox.http.servlet.internal.ServletRegistration.handleRequest(ServletRegistration.java:90)
	at org.eclipse.equinox.http.servlet.internal.ProxyServlet.processAlias(ProxyServlet.java:111)
	at org.eclipse.equinox.http.servlet.internal.ProxyServlet.service(ProxyServlet.java:67)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:729)
	at org.eclipse.equinox.http.jetty.internal.HttpServerManager$InternalHttpServiceServlet.service(HttpServerManager.java:288)
	at org.mortbay.jetty.servlet.ServletHolder.handle(ServletHolder.java:428)
	at org.mortbay.jetty.servlet.ServletHandler.dispatch(ServletHandler.java:677)
	at org.mortbay.jetty.servlet.ServletHandler.handle(ServletHandler.java:568)
	at org.mortbay.http.HttpContext.handle(HttpContext.java:1530)
	at org.mortbay.http.HttpContext.handle(HttpContext.java:1482)
	at org.mortbay.http.HttpServer.service(HttpServer.java:909)
	at org.mortbay.http.HttpConnection.service(HttpConnection.java:820)
	at org.mortbay.http.HttpConnection.handleNext(HttpConnection.java:986)
	at org.mortbay.http.HttpConnection.handle(HttpConnection.java:837)
	at org.mortbay.http.SocketListener.handleConnection(SocketListener.java:245)
	at org.mortbay.util.ThreadedServer.handle(ThreadedServer.java:357)
	at org.mortbay.util.ThreadPool$PoolThread.run(ThreadPool.java:534)
Comment 1 Mat Booth 2008-11-11 08:42:43 EST
Created attachment 323172 [details]
Eclipse Help Breakage
Comment 2 Andrew Overholt 2008-11-12 08:55:09 EST
This works for me with 3.4.1 from F10, FWIW.  I suspect we may have malformed HTML (javadoc (which is sinjdoc in this case, I think) failure?).
Comment 3 Mat Booth 2008-11-13 08:12:22 EST
If that's how the JavaDoc for Eclipse is generated... Should I change the component?
Comment 4 Andrew Overholt 2008-11-13 08:42:01 EST
I don't know if the javadocs are actually malformed or if it's some other error.
Comment 5 Bug Zapper 2009-06-09 23:14:13 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 10:31:55 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.